OpenNMS API 1.2.9

## org.opennms.netmgt
Class ConfigFileConstants

    java.lang.Object
      org.opennms.netmgt.ConfigFileConstants

public final class ConfigFileConstants
extends java.lang.Object

This class holds all OpenNMS related config filenames

Author:
  OpenNMS

Field Summary
`static int` `ACTIOND_CONFIG_FILE_NAME` The opennms actiond config file
`static int` `ADMIN_PITXML_FILE_NAME` The administrator pitXML file for the Swing GUI
`static int` `BASE_CONFIGURATION_FILE_NAME` a store for general information needed to configure
`static int` `CAPSD_CONFIG_FILE_NAME` The opennms capsd config file
`static int` `CATEGORIES_CONF_FILE_NAME` The categories config file
`static int` `COLLECTD_CONFIG_FILE_NAME` The opennms collectd config file
`static int` `DATA_COLLECTION_CONF_FILE_NAME` the SNMP data collection conf file
`static int` `DB_CONFIG_FILE_NAME` The opennms database config file
`static int` `DB_SCHEMA_FILE_NAME` the database schema file
`static int` `DESTINATION_PATHS_CONF_FILE_NAME` the destination paths for notifications
`static int` `DHCPD_CONFIG_FILE_NAME` The opennms dhcpd config file
`static int` `DISCOVERY_CONFIG_FILE_NAME` The opennms discovery config file
`static int` `EVENT_CONF_FILE_NAME` the event conf file
`static int` `EVENT_REPORT` The Events reporting xsl file
`static int` `EVENT_REPORT_DTD` This is the name of the path of the event report dtd
`static int` `EVENTD_CONFIG_FILE_NAME` The opennms eventd config file
`static int` `EVENTS_ARCHIVER_CONFIG_FILE_NAME` The events archiver config file
`static int` `EXCLUDE_UEI_FILE_NAME` The properties file that contains a list of event uies to exclude from the notification wizard
`private static java.lang.String[]` `FILE_ID_TO_NAME`
`static int` `GROUPS_CONF_FILE_NAME` The user groups config file
`static int` `JAVA_MAIL_CONFIG_FILE_NAME` The config file specifying the JavaMailer config (ie SMTP HOST)
`static int` `JMS_CONFIG_FILE_NAME` The opennms jms config file
`static int` `KSC_REPORT_FILE_NAME` This is the name of the path of the webui colors dtd
`static int` `MAGIC_USERS_CONF_FILE_NAME` The "magic" users config file
`static int` `MANAGER_CONFIG_FILE_NAME` The opennms manager config file
`static int` `NOTIF_COMMANDS_CONF_FILE_NAME` the notification commands file
`static int` `NOTIFD_CONFIG_FILE_NAME` The opennms notifd config file
`static int` `NOTIFICATIONS_CONF_FILE_NAME` the notifications conf file
`static int` `NOTIFY_REPORT` The Outages reporting xsl file
`static int` `NOTIFY_REPORT_DTD` This is the name of the path of the notification report dtd
`static int` `OPENNMS_SERVER_CONFIG_FILE_NAME` The opennms server config file
`static int` `OUTAGE_MANAGER_CONFIG_FILE_NAME` The opennms outage manager config file
`static int` `OUTAGE_REPORT` The Outages reporting xsl file
`static int` `OUTAGE_REPORT_DTD` This is the name of the path of the event report dtd
`static int` `POLL_OUTAGES_CONFIG_FILE_NAME` The opennms poll outages config file
`static int` `POLLER_CONF_FILE_NAME` The "poller-config" config file
`static int` `POLLER_CONFIG_FILE_NAME` The opennms poller config file
`static int` `REPORT_HTML_XSL` The Availability Reports HTML converter xsl file.
`static int` `REPORT_PDF_XSL` The reporting pdf xsl file
`static int` `REPORT_SVG_XSL` The reporting svg xsl file
`static int` `RRD_CONFIG_FILE_NAME` The config file specifying the rrd config (ie JRobin vs JNI)
`static int` `RTC_CONFIG_FILE_NAME` The opennms rtc config file
`static int` `SCRIPTD_CONFIG_FILE_NAME` The opennms scriptd config file
`static int` `SERVICE_CONF_FILE_NAME` The services config file
`static int` `SNMP_CONF_FILE_NAME` The SNMP config file
`static int` `THRESHD_CONFIG_FILE_NAME` The opennms threshd config file
`static int` `THRESHOLDING_CONF_FILE_NAME` the thresholding config file
`static int` `TRAPD_CONFIG_FILE_NAME` The opennms trapd config file
`static int` `USERS_CONF_FILE_NAME` The users config file
`static int` `VACUUMD_CONFIG_FILE_NAME` The vacuumd config file
`static int` `VIEWS_CONF_FILE_NAME` The user views config file
`static int` `VIEWS_DISPLAY_CONF_FILE_NAME` The views display config file
`static int` `VULNSCAND_CONFIG_FILE_NAME` The opennms vulnscand config file
`static int` `WEBUI_COLORS_FILE_NAME` This is the name of the path of the webui colors dtd
`static int` `XMLRPCD_CONFIG_FILE_NAME` The opennms xmlrpcd config file
`static int` `XMPP_CONFIG_FILE_NAME` The config file specifying the XMPP config (host, user, password, etc.)

Constructor Summary
`ConfigFileConstants()`

Method Summary
`static java.io.File` `getConfigFileByName(java.lang.String fname)` Returns the java `File`information for the file identified by the passed base file name.
`static java.io.File` `getFile(int id)` Returns the java `File`information for the file identified by the passed integer identifier.
`static java.lang.String` `getFileName(int id)` Returns the base name of the identified file as defined by the passed integer value.
`static java.lang.String` `getFilePathString()` Method to return the string for path of the etc directory.
`static java.lang.String` `getHome()`
`static java.lang.String` `getIncludeFileString()` Method to return the string for the managed address include files for discovery, capsd and polling.
`static java.lang.String` `getTimezoneFileDir()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILE_ID_TO_NAME

    private static final java.lang.String[] FILE_ID_TO_NAME

### DB_CONFIG_FILE_NAME

    public static final int DB_CONFIG_FILE_NAME

  The opennms database config file

### JMS_CONFIG_FILE_NAME

    public static final int JMS_CONFIG_FILE_NAME

  The opennms jms config file

### ACTIOND_CONFIG_FILE_NAME

    public static final int ACTIOND_CONFIG_FILE_NAME

  The opennms actiond config file

### CAPSD_CONFIG_FILE_NAME

    public static final int CAPSD_CONFIG_FILE_NAME

  The opennms capsd config file

### DISCOVERY_CONFIG_FILE_NAME

    public static final int DISCOVERY_CONFIG_FILE_NAME

  The opennms discovery config file

### EVENTD_CONFIG_FILE_NAME

    public static final int EVENTD_CONFIG_FILE_NAME

  The opennms eventd config file

### REPORT_HTML_XSL

    public static final int REPORT_HTML_XSL

  The Availability Reports HTML converter xsl file.

### DHCPD_CONFIG_FILE_NAME

    public static final int DHCPD_CONFIG_FILE_NAME

  The opennms dhcpd config file

### NOTIFD_CONFIG_FILE_NAME

    public static final int NOTIFD_CONFIG_FILE_NAME

  The opennms notifd config file

### OUTAGE_MANAGER_CONFIG_FILE_NAME

    public static final int OUTAGE_MANAGER_CONFIG_FILE_NAME

  The opennms outage manager config file

### POLLER_CONFIG_FILE_NAME

    public static final int POLLER_CONFIG_FILE_NAME

  The opennms poller config file

### POLL_OUTAGES_CONFIG_FILE_NAME

    public static final int POLL_OUTAGES_CONFIG_FILE_NAME

  The opennms poll outages config file

### RTC_CONFIG_FILE_NAME

    public static final int RTC_CONFIG_FILE_NAME

  The opennms rtc config file

### TRAPD_CONFIG_FILE_NAME

    public static final int TRAPD_CONFIG_FILE_NAME

  The opennms trapd config file

### MANAGER_CONFIG_FILE_NAME

    public static final int MANAGER_CONFIG_FILE_NAME

  The opennms manager config file

### SERVICE_CONF_FILE_NAME

    public static final int SERVICE_CONF_FILE_NAME

  The services config file

### EVENTS_ARCHIVER_CONFIG_FILE_NAME

    public static final int EVENTS_ARCHIVER_CONFIG_FILE_NAME

  The events archiver config file

### COLLECTD_CONFIG_FILE_NAME

    public static final int COLLECTD_CONFIG_FILE_NAME

  The opennms collectd config file

### THRESHD_CONFIG_FILE_NAME

    public static final int THRESHD_CONFIG_FILE_NAME

  The opennms threshd config file

### VULNSCAND_CONFIG_FILE_NAME

    public static final int VULNSCAND_CONFIG_FILE_NAME

  The opennms vulnscand config file

### SCRIPTD_CONFIG_FILE_NAME

    public static final int SCRIPTD_CONFIG_FILE_NAME

  The opennms scriptd config file

### VACUUMD_CONFIG_FILE_NAME

    public static final int VACUUMD_CONFIG_FILE_NAME

  The vacuumd config file

### XMLRPCD_CONFIG_FILE_NAME

    public static final int XMLRPCD_CONFIG_FILE_NAME

  The opennms xmlrpcd config file

### RRD_CONFIG_FILE_NAME

    public static final int RRD_CONFIG_FILE_NAME

  The config file specifying the rrd config (ie JRobin vs JNI)

### JAVA_MAIL_CONFIG_FILE_NAME

    public static final int JAVA_MAIL_CONFIG_FILE_NAME

  The config file specifying the JavaMailer config (ie SMTP HOST)

### XMPP_CONFIG_FILE_NAME

    public static final int XMPP_CONFIG_FILE_NAME

  The config file specifying the XMPP config (host, user, password, etc.)

### ADMIN_PITXML_FILE_NAME

    public static final int ADMIN_PITXML_FILE_NAME

  The administrator pitXML file for the Swing GUI

### MAGIC_USERS_CONF_FILE_NAME

    public static final int MAGIC_USERS_CONF_FILE_NAME

  The "magic" users config file

### POLLER_CONF_FILE_NAME

    public static final int POLLER_CONF_FILE_NAME

  The "poller-config" config file

### EXCLUDE_UEI_FILE_NAME

    public static final int EXCLUDE_UEI_FILE_NAME

  The properties file that contains a list of event uies to exclude from the notification wizard

### USERS_CONF_FILE_NAME

    public static final int USERS_CONF_FILE_NAME

  The users config file

### VIEWS_CONF_FILE_NAME

    public static final int VIEWS_CONF_FILE_NAME

  The user views config file

### CATEGORIES_CONF_FILE_NAME

    public static final int CATEGORIES_CONF_FILE_NAME

  The categories config file

### GROUPS_CONF_FILE_NAME

    public static final int GROUPS_CONF_FILE_NAME

  The user groups config file

### VIEWS_DISPLAY_CONF_FILE_NAME

    public static final int VIEWS_DISPLAY_CONF_FILE_NAME

  The views display config file

### NOTIFICATIONS_CONF_FILE_NAME

    public static final int NOTIFICATIONS_CONF_FILE_NAME

  the notifications conf file

### NOTIF_COMMANDS_CONF_FILE_NAME

    public static final int NOTIF_COMMANDS_CONF_FILE_NAME

  the notification commands file

### DESTINATION_PATHS_CONF_FILE_NAME

    public static final int DESTINATION_PATHS_CONF_FILE_NAME

  the destination paths for notifications

### SNMP_CONF_FILE_NAME

    public static final int SNMP_CONF_FILE_NAME

  The SNMP config file

### EVENT_CONF_FILE_NAME

    public static final int EVENT_CONF_FILE_NAME

  the event conf file

### DB_SCHEMA_FILE_NAME

    public static final int DB_SCHEMA_FILE_NAME

  the database schema file

### DATA_COLLECTION_CONF_FILE_NAME

    public static final int DATA_COLLECTION_CONF_FILE_NAME

  the SNMP data collection conf file

### BASE_CONFIGURATION_FILE_NAME

    public static final int BASE_CONFIGURATION_FILE_NAME

  a store for general information needed to configure

### THRESHOLDING_CONF_FILE_NAME

    public static final int THRESHOLDING_CONF_FILE_NAME

  the thresholding config file

### WEBUI_COLORS_FILE_NAME

    public static final int WEBUI_COLORS_FILE_NAME

  This is the name of the path of the webui colors dtd

### KSC_REPORT_FILE_NAME

    public static final int KSC_REPORT_FILE_NAME

  This is the name of the path of the webui colors dtd

### OPENNMS_SERVER_CONFIG_FILE_NAME

    public static final int OPENNMS_SERVER_CONFIG_FILE_NAME

  The opennms server config file

### REPORT_PDF_XSL

    public static final int REPORT_PDF_XSL

  The reporting pdf xsl file

### REPORT_SVG_XSL

    public static final int REPORT_SVG_XSL

  The reporting svg xsl file

### EVENT_REPORT

    public static final int EVENT_REPORT

  The Events reporting xsl file

### OUTAGE_REPORT

    public static final int OUTAGE_REPORT

  The Outages reporting xsl file

### NOTIFY_REPORT

    public static final int NOTIFY_REPORT

  The Outages reporting xsl file

### EVENT_REPORT_DTD

    public static final int EVENT_REPORT_DTD

  This is the name of the path of the event report dtd

### OUTAGE_REPORT_DTD

    public static final int OUTAGE_REPORT_DTD

  This is the name of the path of the event report dtd

### NOTIFY_REPORT_DTD

    public static final int NOTIFY_REPORT_DTD

  This is the name of the path of the notification report dtd

Constructor Detail

### ConfigFileConstants

    public ConfigFileConstants()

Method Detail

### getFileName

    public static final java.lang.String getFileName(int id)

  Returns the base name of the identified file as defined by the passed integer value. This name has not yet been resolved and is only the name of the file with no path location information prepended. If the fully qualified name of the file is needed then use `getFile()`to returned the `File` object. The java File object can be queried to get more detailed information on the file.

  Parameters:
    `id` - The identifier of the desired file.
  Returns:
    The base name of the file that matches the identifier.

### getFile

    public static final java.io.File getFile(int id)
                                      throws java.io.IOException

  Returns the java `File`information for the file identified by the passed integer identifier. If the file cannot be located by the search algorithm then an excption is generated.

  The file is looked for in the etc directory of the OpenNMS home location identified by the System property opennms.home. If the file is not found in the etc directory then an attempt is made to find it in the root OpenNMS directory. If it still cannot be found then a `FileNotFoundException` is generated by the method.

  Parameters:
    `id` - The identifer for the configuration file.
  Returns:
    The File handle to the passed identifier.
  Throws:
    `java.io.FileNotFoundException` - Thrown if the file cannot be located.
    `java.io.IOException` - Thrown if an error occurs accessing the file system.

### getConfigFileByName

    public static final java.io.File getConfigFileByName(java.lang.String fname)
                                                  throws java.io.IOException

  Returns the java `File`information for the file identified by the passed base file name. If the file cannot be located by the search algorithm then an excption is generated.

  The file is looked for in the etc directory of the OpenNMS home location identified by the System property opennms.home. If the file is not found in the etc directory then an attempt is made to find it in the root OpenNMS directory. If it still cannot be found then a `FileNotFoundException` is generated by the method.

  Parameters:
    `fname` - The base file name of the configuration file.
  Returns:
    The File handle to the named file.
  Throws:
    `java.io.FileNotFoundException` - Thrown if the file cannot be located.
    `java.io.IOException` - Thrown if an error occurs accessing the file system.

### getHome

    public static final java.lang.String getHome()

### getIncludeFileString

    public static final java.lang.String getIncludeFileString()

  Method to return the string for the managed address include files for discovery, capsd and polling.

  Returns:
    String, the file url for the include file

### getFilePathString

    public static final java.lang.String getFilePathString()

  Method to return the string for path of the etc directory.

  Returns:
    String, the file url for the include file

### getTimezoneFileDir

    public static final java.lang.String getTimezoneFileDir()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.